
package de.ivu.elect.business.sitzberechnung.control;

import java.io.Serializable;

import de.ivu.elect.business.wahl.entity.WahlartSitzberechnungsalgorithmus;

public class SitzberechnungsalgorithmusDetails implements Serializable {

  private static final long serialVersionUID = 1L;

  public static final String MSG_KEY_VORLAEUFIG = "entity.einzahl.SITZBERECHNUNGSALGORITHMUS_DETAILS_VORLAEUFIG";

  public static final String MSG_KEY_ENDGUELTIG = "entity.einzahl.SITZBERECHNUNGSALGORITHMUS_DETAILS_ENDGUELTIG";

  private WahlartSitzberechnungsalgorithmus sitzberechnungsalgorithmus;

  private String customData;

  public SitzberechnungsalgorithmusDetails() {
    super();

    this.sitzberechnungsalgorithmus = WahlartSitzberechnungsalgorithmus.KEIN;

    this.customData = "";
  }

  public WahlartSitzberechnungsalgorithmus getSitzberechnungsalgorithmus() {
    return sitzberechnungsalgorithmus;
  }

  public void setSitzberechnungsalgorithmus(WahlartSitzberechnungsalgorithmus sitzberechnungsalgorithmus) {
    this.sitzberechnungsalgorithmus = sitzberechnungsalgorithmus;
  }

  public String getCustomData() {
    return customData;
  }

  public void setCustomData(String customData) {
    this.customData = customData;
  }
}
